Retrieve Mexico addresses by postal code
curl --request GET \
--url https://api.syntage.com/datasources/mx/addresses/{postalCode} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/datasources/mx/addresses/{postalCode}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/datasources/mx/addresses/{postalCode}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@context": "/contexts/MxPostalCodeAddress",
"@id": "/datasources/mx/addresses/11510",
"@type": "hydra:Collection",
"hydra:member": [
{
"@id": "/.well-known/genid/f2d82cee1ffcca39dbd2",
"@type": "MxPostalCodeAddress",
"postalCode": "11510",
"neighborhood": "Los Morales",
"neighborhoodType": "Colonia",
"municipality": "Miguel Hidalgo",
"state": "Ciudad de México",
"stateCode": "CMX",
"city": "Cd de Mexico",
"officeKey": "01234"
}
],
"hydra:totalItems": 1,
"hydra:view": {
"@id": "<string>",
"@type": "hydra:PartialCollectionView",
"hydra:first": "<string>",
"hydra:next": "<string>",
"hydra:last": "<string>"
},
"hydra:search": {
"@type": "<string>",
"hydra:template": "<string>",
"hydra:variableRepresentation": "<string>",
"hydra:mapping": [
{
"@type": "<string>",
"variable": "<string>",
"property": "<string>",
"required": true
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}Mexico Addresses
Retrieve addresses by postal code
Retrieve Mexico address options for a postal code. Buró de Crédito and Buró Empresas require submitted addresses to match the postal-code address catalog, and a postal code can return multiple neighborhoods.
GET
/
datasources
/
mx
/
addresses
/
{postalCode}
Retrieve Mexico addresses by postal code
Use this endpoint to retrieve Mexico address options for a five-digit postal code. Buró de Crédito and Buró Empresas require submitted addresses to match the official postal-code address catalog, so use this endpoint when collecting or validating addresses for those workflows.
The response can contain multiple neighborhoods for the same postal code.
Each item includes the neighborhood, neighborhood type, municipality, state, state code, city, and postal office key.
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Five-digit Mexico postal code
Required string length:
5Pattern:
^[0-9]{5}$Example:
"11510"
Response
Mexico address options for the postal code
Example:
"/contexts/MxPostalCodeAddress"
Example:
"/datasources/mx/addresses/11510"
Show child attributes
Show child attributes
Total number of items found
Required range:
x >= 0Example:
1
Pagination information
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?